-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; xx;) AppleWebKit/534 (MFP; 100/01010101; KHTML, like Gecko) NetFrontNX/2.0 (DTV; HTML; R1.0;)'
    result: { browser: { name: 'NetFront NX', version: '2.0', type: browser }, engine: { name: Webkit, version: '534' }, device: { type: television } }
    readable: 'NetFront NX 2.0 on a television'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; xx;) AppleWebKit/534 (MFP; 113/0043K100; KHTML, like Gecko) NetFrontNX/2.0 (DTV; HTML; R1.0;)'
    result: { browser: { name: 'NetFront NX', version: '2.0', type: browser }, engine: { name: Webkit, version: '534' }, device: { type: television } }
    readable: 'NetFront NX 2.0 on a television'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; xx;) AppleWebKit/534 (MFP; 112/0033ZZ0a; KHTML, like Gecko) NetFrontNX/2.0 (DTV; HTML; R1.0;)'
    result: { browser: { name: 'NetFront NX', version: '2.0', type: browser }, engine: { name: Webkit, version: '534' }, device: { type: television } }
    readable: 'NetFront NX 2.0 on a television'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Linux; xx; DTV; TSBNetTV/T3701B6.0203.6DD) AppleWebKit/536(KHTML, like Gecko) NX/3.0'
    result: { browser: { name: 'NetFront NX', version: '3.0', type: browser }, engine: { name: Webkit, version: '536' }, device: { type: television, manufacturer: Toshiba, series: 'Smart TV' } }
    readable: 'NetFront NX 3.0 on a Toshiba Smart TV'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; Linux; xx; DTV; TSBNetTV/T3501B0.0203.0DD) AppleWebKit/536(KHTML, like Gecko) NX/3.0 (DTV; HTML; R1.0;) DTVNetBrowser/2.2 (000039;T3501B0;0203;0DD) InettvBrowser/2.2 (000039;T3501B0;0203;0DD)'
    result: { browser: { name: 'NetFront NX', version: '3.0', type: browser }, engine: { name: Webkit, version: '536' }, device: { type: television, manufacturer: Toshiba, series: 'Smart TV' } }
    readable: 'NetFront NX 3.0 on a Toshiba Smart TV'
-
    headers: 'User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; xx;) AppleWebKit/536(KHTML, like Gecko) NX/3.0 (DTV; HTML; R1.0;) Hybridcast/1.0 (;08001F;DTV12VSFC3;0001;0001;)'
    result: { browser: { name: 'NetFront NX', version: '3.0', type: browser }, engine: { name: Webkit, version: '536' }, device: { type: television, manufacturer: Sharp, series: 'Smart TV' } }
    readable: 'NetFront NX 3.0 on a Sharp Smart TV'
-
    headers: 'User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/536(KHTML, like Gecko) NX/3.0 (DTV; HTML; R1.0;)'
    result: { browser: { name: 'NetFront NX', version: '3.0', type: browser }, engine: { name: Webkit, version: '536' }, device: { type: television } }
    readable: 'NetFront NX 3.0 on a television'
-
    headers: 'User-Agent: HbbTV/1.1.1 (;HyperPanel;dtr77 00-00-00-00-00-00;9.wr.28;2502-B234A;;) LOH; Opera; CE-HTML/1.0 NetFrontNX/2.1 NETRANGEMMH based on WebKit'
    result: { browser: { name: 'NetFront NX', version: '2.1', type: browser }, device: { type: television, manufacturer: HyperPanel, model: DTR77 } }
    readable: 'NetFront NX 2.1 on a HyperPanel DTR77'
-
    headers: 'User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; xx;) AppleWebKit/534(KHTML, like Gecko) NX/2.0 (DTV; HTML; R1.0;)  InettvBrowser/2.2 (00E064;UA46FS7000;0001;0001) TvpsExtInfo/A31002 (6A31AA40155FBC8EDC1468E7309DB736;22;T)'
    result: { browser: { name: 'NetFront NX', version: '2.0', type: browser }, engine: { name: Webkit, version: '534' }, device: { type: television, manufacturer: Samsung, series: 'Smart TV' } }
    readable: 'NetFront NX 2.0 on a Samsung Smart TV'
-
    headers: 'User-Agent: HbbTV/1.1.1 (;Access;NetFront NX 3;;;) Netfont webkit'
    readable: 'NetFront NX 3 on a television'
    result: { browser: { name: 'NetFront NX', version: '3', type: browser }, device: { type: television } }
-
    headers: 'User-Agent: HbbTV/1.1.1 (;Access;NetFront NX 3;;;)'
    readable: 'NetFront NX 3 on a television'
    result: { browser: { name: 'NetFront NX', version: '3', type: browser }, device: { type: television } }
